rc_check_tls(3)

NAME
rc_check_tls - Check established TLS/DTLS channels for operation and reconnect if needed.

SYNOPSIS
#include <radcli/>

int rc_check_tls(
    rc_handle  *rh
);

DESCRIPTION

Probes the TLS or DTLS session with a TLS heartbeat and reconnects if the session is dead. Must be called when no other thread is using the session (e.g., from a dedicated watchdog thread that holds the lock).

PARAMETERS

rh  a handle to parsed configuration

RETURN VALUE

0 on success or when TLS/DTLS is not in use, -1 if the session could not be re-established

SEE ALSO

rc_tls_fd(3)